List roles
GET
/roles
const url = 'https://example.com/api/v1/roles';const options = { method: 'GET', headers: {cookie: '__Host-shardkeep_session=<__Host-shardkeep_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/roles \ --cookie __Host-shardkeep_session=<__Host-shardkeep_session>Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Built-in roles first, then custom roles by name.
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
name
required
string
description
required
string
builtin
required
Built-in roles can be assigned but not changed.
boolean
permissions
required
Array<string>
createdAt
required
string format: date-time
Example
{ "items": [ { "permissions": [ "servers.read" ] } ]}Not signed in, or the credentials are invalid.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Signed in, but not allowed.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Shardkeep is free software under the AGPL-3.0. Minecraft is a trademark of Mojang AB; Shardkeep is not affiliated with or endorsed by Mojang or Microsoft.